Items
curl --request GET \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/budget-analysis/groups/{groupKey}/items \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/budget-analysis/groups/{groupKey}/items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/budget-analysis/groups/{groupKey}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/budget-analysis/groups/{groupKey}/items",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/budget-analysis/groups/{groupKey}/items"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/budget-analysis/groups/{groupKey}/items")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/budget-analysis/groups/{groupKey}/items")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"matchedCount": 123,
"insights": {
"scopes": {}
},
"items": [
{
"key": "<string>",
"kind": "extra",
"label": "<string>",
"parentKey": "<string>",
"depth": 123,
"effectiveInstanceCount": 123,
"categoryId": "<string>",
"supplierCompanyId": "<string>",
"supplierName": "<string>",
"departmentId": "<string>",
"areaId": "<string>",
"slotId": "<string>",
"projectItemId": "<string>",
"refNumber": "<string>",
"categoryPlan": {
"marginMeaning": "target",
"sharePct": "<string>",
"clientAllocation": "<string>",
"effectiveMarginPct": "<string>",
"effectiveMarkupPct": "<string>"
},
"areaPlan": {
"effectiveInstanceCount": 123,
"squareArea": "<string>",
"rate": "<string>",
"amount": "<string>",
"inputMissing": true
},
"estimated": true,
"budget": {
"itemizedCost": "<string>",
"itemizedClient": "<string>"
},
"specified": {
"extendedCost": "<string>",
"extendedClient": "<string>",
"itemizedCostVariance": {
"amount": "<string>",
"pct": "<string>"
},
"itemizedClientVariance": {
"amount": "<string>",
"pct": "<string>"
},
"allocatedCostVariance": {
"amount": "<string>",
"pct": "<string>"
}
},
"purchase": {
"extendedCost": "<string>",
"extendedClient": "<string>",
"itemizedCostVariance": {
"amount": "<string>",
"pct": "<string>"
},
"itemizedClientVariance": {
"amount": "<string>",
"pct": "<string>"
},
"allocatedCostVariance": {
"amount": "<string>",
"pct": "<string>"
}
},
"gaps": {
"budgetPrice": 123,
"budgetQuantity": 123,
"costInput": 123
},
"incomplete": {
"budget": true,
"specified": true,
"purchase": true
},
"itemCount": 123,
"allocatedCost": "<string>",
"areaClientCeiling": "<string>"
}
],
"nextCursor": "<string>",
"hasMore": true,
"computedAt": "<string>",
"groupItemCount": 123
}Budget Analysis
Items
GET
/
v1
/
workspaces
/
{workspaceId}
/
projects
/
{projectId}
/
budget-analysis
/
groups
/
{groupKey}
/
items
Items
curl --request GET \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/budget-analysis/groups/{groupKey}/items \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/budget-analysis/groups/{groupKey}/items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/budget-analysis/groups/{groupKey}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/budget-analysis/groups/{groupKey}/items",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/budget-analysis/groups/{groupKey}/items"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/budget-analysis/groups/{groupKey}/items")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/budget-analysis/groups/{groupKey}/items")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"matchedCount": 123,
"insights": {
"scopes": {}
},
"items": [
{
"key": "<string>",
"kind": "extra",
"label": "<string>",
"parentKey": "<string>",
"depth": 123,
"effectiveInstanceCount": 123,
"categoryId": "<string>",
"supplierCompanyId": "<string>",
"supplierName": "<string>",
"departmentId": "<string>",
"areaId": "<string>",
"slotId": "<string>",
"projectItemId": "<string>",
"refNumber": "<string>",
"categoryPlan": {
"marginMeaning": "target",
"sharePct": "<string>",
"clientAllocation": "<string>",
"effectiveMarginPct": "<string>",
"effectiveMarkupPct": "<string>"
},
"areaPlan": {
"effectiveInstanceCount": 123,
"squareArea": "<string>",
"rate": "<string>",
"amount": "<string>",
"inputMissing": true
},
"estimated": true,
"budget": {
"itemizedCost": "<string>",
"itemizedClient": "<string>"
},
"specified": {
"extendedCost": "<string>",
"extendedClient": "<string>",
"itemizedCostVariance": {
"amount": "<string>",
"pct": "<string>"
},
"itemizedClientVariance": {
"amount": "<string>",
"pct": "<string>"
},
"allocatedCostVariance": {
"amount": "<string>",
"pct": "<string>"
}
},
"purchase": {
"extendedCost": "<string>",
"extendedClient": "<string>",
"itemizedCostVariance": {
"amount": "<string>",
"pct": "<string>"
},
"itemizedClientVariance": {
"amount": "<string>",
"pct": "<string>"
},
"allocatedCostVariance": {
"amount": "<string>",
"pct": "<string>"
}
},
"gaps": {
"budgetPrice": 123,
"budgetQuantity": 123,
"costInput": 123
},
"incomplete": {
"budget": true,
"specified": true,
"purchase": true
},
"itemCount": 123,
"allocatedCost": "<string>",
"areaClientCeiling": "<string>"
}
],
"nextCursor": "<string>",
"hasMore": true,
"computedAt": "<string>",
"groupItemCount": 123
}Authorizations
Path Parameters
Query Parameters
⌘I